# $Revision: 1.399 $, $Date: 2012/04/04 06:25:27 $
#
# Conditional build:
%bcond_without	static		# link binaries with glib dynamically

Summary:	inittab and /etc/rc.d scripts
Summary(de.UTF-8):	inittab und /etc/rc.d Scripts
Summary(fr.UTF-8):	inittab et scripts /etc/rc.d
Summary(pl.UTF-8):	inittab i skrypty startowe z katalogu /etc/rc.d
Summary(tr.UTF-8):	inittab ve /etc/rc.d dosyaları
Name:		rc-scripts
Version:	0.4.5.4
Release:	2
License:	GPL v2
Group:		Base
#Source0:	ftp://distfiles.pld-linux.org/src/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	e073e75ca6220e463bd659d25feefde6
Source1:	rc-local.service
Source2:	sys-chroots.service
Source3:	%{name}.tmpfiles
URL:		http://svn.pld-linux.org/trac/svn/wiki/packages/rc-scripts
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
%{?with_static:BuildRequires:	glib2-static}
%{?with_static:BuildRequires:	glibc-static}
BuildRequires:	libcap-devel >= 1:2.17
BuildRequires:	linux-libc-headers >= 7:2.6.27
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpm >= 4.4.9-56
Requires(post):	fileutils
%ifarch sparc sparcv9 sparc64
Requires:	agetty
%endif
Requires:	/bin/awk
Requires:	/bin/basename
Requires:	/bin/gettext
Requires:	/bin/nice
Requires:	/bin/ps
Requires:	virtual(init-daemon)
Requires:	SysVinit-tools >= 2.88-1
Requires:	blockdev
Requires:	coreutils
Requires:	ethtool
%if "%{pld_release}" == "ac"
Requires:	filesystem >= 3.0-11
%else
Requires:	filesystem >= 4.0-1
%endif
Requires:	findutils
Requires:	fsck
Requires:	gettext
Requires:	grep
Requires:	hostname
Requires:	iproute2
Requires:	iputils-arping
Requires:	mingetty
Requires:	mktemp
Requires:	mount >= 2.12
Requires:	procps >= 1:3.2.6-1.1
Requires:	psmisc >= 22.5-2
Requires:	utempter
Requires:	util-linux
Requires:	virtual(module-tools)
Suggests:	libcgroup
Provides:	initscripts
Obsoletes:	initscripts
Obsoletes:	vserver-rc-scripts
Conflicts:	LPRng < 3.8.0-2
Conflicts:	dev < 2.9.0-22
Conflicts:	iputils-arping < 2:s20070202-1
Conflicts:	openssh-server < 2:3.6.1p2-6
Conflicts:	psacct < 6.3.5-10
Conflicts:	tzdata < 2007b-1.1
%if "%{pld_release}" == "th"
Conflicts:	udev-core < 1:135-2
%else
Conflicts:	udev-core < 1:124-3
%endif
Conflicts:	lvm2 < 2.02.83
Conflicts:	upstart-SysVinit < 2.86-25
Conflicts:	wpa_supplicant < 0.6.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		localedir	/etc/sysconfig/locale
%define 	_bindir		/bin
%define		_sbindir	/sbin

%description
This package contains the scripts use to boot a system, change run
levels, and shut the system down cleanly.

%description -l de.UTF-8
Dieses Paket enthält die Scripts, die zum Hochfahren des Systems,
Ändern der Betriebsebene und sauberem Herunterfahren des Systems
erforderlich sind. Außerdem enthält es die Scripts, die
Netzwerkschnittstellen aktivieren und deaktivieren.

%description -l fr.UTF-8
Ce package contient les scripts utilisés pour démarrer le systéme,
changer les niveaux d'exécution, et arréter le systéme proprement. Il
contient aussi les scripts qui activent et désactivent la plupart des
inetrfaces réseau.

%description -l pl.UTF-8
Pakiet zawiera skrypty uruchamiane przy starcie i zamykaniu systemu, a
także przy zmianie jego poziomu pracy.

%description -l tr.UTF-8
Bu paket, sistem açmak, çalışma düzeylerini değiştirmek ve sistemi
düzgün bir şekilde kapatmak için gereken dosyaları içerir. Ayrıca pek
çok bilgisayar ağı arayüzlerini etkinleştiren ya da edilginleştiren
programcıklar içerir.

%prep
%setup -q

# hack, currently this results in errno@@GLIBC_PRIVATE symbol in ppp-watch:
#GLIB_LIBS="-Wl,-static `$PKG_CONFIG --libs --static glib-2.0` -Wl,-Bdynamic"
sed -i -e 's#^GLIB_LIBS=.*#GLIB_LIBS="%{_prefix}/%{_lib}/libglib-2.0.a -lrt -lpthread"#' configure.ac

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--with-localedir=%{localedir}
%{__make} \
	%{!?with_static:ppp_watch_LDADD="$(pkg-config --libs glib-2.0)" ppp_watch_DEPENDENCIES=}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/{run/netreport,log} \
	$RPM_BUILD_ROOT/etc/sysconfig/{interfaces/data,hwprofiles} \
	$RPM_BUILD_ROOT{%{systemdtmpfilesdir},%{systemdunitdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	%{!?with_static:ppp_watch_LDADD="$(pkg-config --libs glib-2.0)" ppp_watch_DEPENDENCIES=}

for i in 0 1 2 3 4 5 6; do
	install -d $RPM_BUILD_ROOT/etc/rc.d/rc$i.d
done

for i in 2 3 4 5; do
	ln -s ../init.d/local $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S99local
	ln -s ../init.d/netfs $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S25netfs
	ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S10network
	ln -s ../init.d/allowlogin $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S99allowlogin
	ln -s ../init.d/sys-chroots $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S99sys-chroots
done

for i in 1 2 3 4 5; do
	ln -s ../init.d/killall $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S00killall
	ln -s ../init.d/cpusets $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S01cpusets
	ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S20random
done

for i in 0 2 3 4 5 6; do
	ln -s ../init.d/single $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K00single
done

ln -s ../init.d/single $RPM_BUILD_ROOT/etc/rc.d/rc1.d/S00single

for i in 0 6; do
	ln -s ../init.d/cpusets $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K99cpusets
	ln -s ../init.d/killall $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K90killall
	ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K80random
done

for i in 0 1 6; do
	ln -s ../init.d/netfs $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K75netfs
	ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K90network
	ln -s ../init.d/allowlogin $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K01allowlogin
	ln -s ../init.d/sys-chroots $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K01sys-chroots
	ln -s ../init.d/local $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K01local
done

> $RPM_BUILD_ROOT/var/log/dmesg

# make /etc/init.d symlink relative
ln -nfs rc.d/init.d $RPM_BUILD_ROOT/etc/init.d

# systemd
install %{SOURCE1} $RPM_BUILD_ROOT%{systemdunitdir}/rc-local.service
ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/local.service
install %{SOURCE2} $RPM_BUILD_ROOT%{systemdunitdir}/sys-chroots.service
install %{SOURCE3} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf

%if "%{pld_release}" == "ac"
rm -rf $RPM_BUILD_ROOT/etc/init
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/inittab.rpmsave ]; then
	echo "**** Found old /etc/inittab.rpmsave ****"
	echo "/etc/inittab renamed to /etc/inittab.rpmnew"
	mv -f /etc/inittab /etc/inittab.rpmnew
	echo "/etc/inittab.rpmsave renamed to /etc/inittab."
	mv -f /etc/inittab.rpmsave /etc/inittab
fi
touch /var/log/dmesg
chown root:root /var/log/dmesg
chmod 640 /var/log/dmesg
touch /var/cache/rc-scripts/msg.cache
chmod 644 /var/cache/rc-scripts/msg.cache
chown root:root /var/cache/rc-scripts/msg.cache

# move network interfaces description files to new location
%triggerpostun -- initscripts
mv -f /etc/sysconfig/network-scripts/ifcfg-* /etc/sysconfig/interfaces

%files
%defattr(644,root,root,755)
%doc ChangeLog
%doc doc/*.txt doc/template.init
%doc sysconfig/interfaces/data/chat-ppp*
%doc sysconfig/interfaces/ifc*
%doc sysconfig/interfaces/tnl*
%doc sysconfig/init-colors*
%doc doc/sysvinitfiles

%dir /etc/rc.d
%dir /etc/rc.d/init.d
%dir /etc/rc.d/rc?.d
/etc/init.d
/etc/rc.d/init.d/functions

%if "%{pld_release}" != "ac"
%config(noreplace) %verify(not md5 mtime size) /etc/init/allowlogin.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/cpusets.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/cryptsetup.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/local.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/modules.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/random.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/rc.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/rcS-sulogin.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/rcS.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/sys-chroots.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/udev.conf
%endif

%attr(754,root,root) /etc/rc.d/init.d/allowlogin
%attr(754,root,root) /etc/rc.d/init.d/cpusets
%attr(754,root,root) /etc/rc.d/init.d/cryptsetup
%attr(754,root,root) /etc/rc.d/init.d/killall
%attr(754,root,root) /etc/rc.d/init.d/local
%attr(754,root,root) /etc/rc.d/init.d/netfs
%attr(754,root,root) /etc/rc.d/init.d/network
%attr(754,root,root) /etc/rc.d/init.d/random
%attr(754,root,root) /etc/rc.d/init.d/single
%attr(754,root,root) /etc/rc.d/init.d/sys-chroots

%attr(754,root,root) /etc/rc.d/rc
%config(noreplace) %verify(not md5 mtime size) /etc/rc.d/rc.local
%attr(754,root,root) /etc/rc.d/rc.init
%attr(754,root,root) /etc/rc.d/rc.sysinit
%attr(754,root,root) /etc/rc.d/rc.shutdown
%attr(754,root,root) /etc/rc.d/rc?.d/K??allowlogin
%attr(754,root,root) /etc/rc.d/rc?.d/K??cpusets
%attr(754,root,root) /etc/rc.d/rc?.d/K??killall
%attr(754,root,root) /etc/rc.d/rc?.d/K??local
%attr(754,root,root) /etc/rc.d/rc?.d/K??netfs
%attr(754,root,root) /etc/rc.d/rc?.d/K??network
%attr(754,root,root) /etc/rc.d/rc?.d/K??random
%attr(754,root,root) /etc/rc.d/rc?.d/K??single
%attr(754,root,root) /etc/rc.d/rc?.d/K??sys-chroots
%attr(754,root,root) /etc/rc.d/rc?.d/S??allowlogin
%attr(754,root,root) /etc/rc.d/rc?.d/S??cpusets
%attr(754,root,root) /etc/rc.d/rc?.d/S??killall
%attr(754,root,root) /etc/rc.d/rc?.d/S??local
%attr(754,root,root) /etc/rc.d/rc?.d/S??netfs
%attr(754,root,root) /etc/rc.d/rc?.d/S??network
%attr(754,root,root) /etc/rc.d/rc?.d/S??random
%attr(754,root,root) /etc/rc.d/rc?.d/S??single
%attr(754,root,root) /etc/rc.d/rc?.d/S??sys-chroots

%dir /var/cache/rc-scripts
%ghost /var/cache/rc-scripts/msg.cache

%attr(755,root,root) /etc/profile.d/lang.*sh

%attr(755,root,root) %{_bindir}/doexec
%attr(755,root,root) %{_bindir}/ipcalc
%attr(755,root,root) %{_bindir}/resolvesymlink
%attr(755,root,root) %{_bindir}/run-parts
%attr(755,root,root) %{_bindir}/usleep

%attr(755,root,root) %{_sbindir}/consoletype
%attr(755,root,root) %{_sbindir}/genhostid
%attr(755,root,root) %{_sbindir}/getkey
%attr(755,root,root) %{_sbindir}/hwprofile
%attr(755,root,root) %{_sbindir}/if*
%attr(755,root,root) %{_sbindir}/initlog
%attr(755,root,root) %{_sbindir}/loglevel
%attr(755,root,root) %{_sbindir}/minilogd
%attr(755,root,root) %{_sbindir}/netreport
%attr(755,root,root) %{_sbindir}/ppp-watch
%attr(755,root,root) %{_sbindir}/service
%attr(755,root,root) %{_sbindir}/setsysfont
%attr(755,root,root) %{_sbindir}/setuidgid
%attr(755,root,root) %{_sbindir}/start-stop-daemon
%attr(755,root,root) %{_sbindir}/tnl*
%attr(4755,root,root) %{_sbindir}/usernetctl

%attr(755,root,root) /lib/firmware/firmware-loader.sh

%{systemdtmpfilesdir}/rc-scripts.conf
%{systemdunitdir}/local.service
%{systemdunitdir}/rc-local.service
%{systemdunitdir}/sys-chroots.service

%dir /lib/rc-scripts
%attr(755,root,root) /lib/rc-scripts/ifdown-br
%attr(755,root,root) /lib/rc-scripts/ifdown-irda
%attr(755,root,root) /lib/rc-scripts/ifdown-post
%attr(755,root,root) /lib/rc-scripts/ifdown-ppp
%attr(755,root,root) /lib/rc-scripts/ifdown-sl
%attr(755,root,root) /lib/rc-scripts/ifdown-vlan
/lib/rc-scripts/ifup-aliases
%attr(755,root,root) /lib/rc-scripts/ifup-br
%attr(755,root,root) /lib/rc-scripts/ifup-ipx
%attr(755,root,root) /lib/rc-scripts/ifup-irda
%attr(755,root,root) /lib/rc-scripts/ifup-iucv
/lib/rc-scripts/ifup-neigh
%attr(755,root,root) /lib/rc-scripts/ifup-plip
%attr(755,root,root) /lib/rc-scripts/ifup-plusb
%attr(755,root,root) /lib/rc-scripts/ifup-post
%attr(755,root,root) /lib/rc-scripts/ifup-ppp
/lib/rc-scripts/ifup-routes
%attr(755,root,root) /lib/rc-scripts/ifup-sl
%attr(755,root,root) /lib/rc-scripts/ifup-vlan
/lib/rc-scripts/functions.network
/lib/rc-scripts/functions

%dir %{_sysconfdir}/ppp
%attr(754,root,root) %{_sysconfdir}/ppp/*
%dir /etc/sysconfig/cpusets
%dir /etc/sysconfig/hwprofiles
%dir /etc/sysconfig/interfaces
%dir /etc/sysconfig/interfaces/data
%dir /etc/sysconfig/isapnp

%dir /etc/sysconfig/interfaces/down.d
%dir /etc/sysconfig/interfaces/down.d/*
%dir /etc/sysconfig/interfaces/up.d
%dir /etc/sysconfig/interfaces/up.d/*
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/interfaces/down.d/ppp/logger
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/interfaces/up.d/ppp/logger
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/isapnp/isapnp-kernel.conf

%attr(640,root,root) %ghost /var/log/dmesg
%attr(750,root,root) %dir /var/run/netreport

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/adjtime
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/crypttab
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/initlog.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/inittab
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/modules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sysctl.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/cpusets/cpuset-test
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/hwprof
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/i18n
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/init-colors
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/interfaces/ifcfg-eth0
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/network
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/static-arp
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/static-nat
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/static-routes
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/static-routes6
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/system

%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(ja) %{_mandir}/ja/man?/*
%lang(ru) %{_mandir}/ru/man?/*
%lang(sv) %{_mandir}/sv/man?/*

%dir %{localedir}
%lang(de) %{localedir}/de
%lang(pl) %{localedir}/pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rc-scripts.spec,v $
Revision 1.399  2012/04/04 06:25:27  arekm
- rel 2; fix build

Revision 1.398  2012/04/03 20:46:44  baggins
- rel 1

Revision 1.397  2012/04/03 20:41:13  baggins
- really remove svn patch

Revision 1.396  2012/04/03 20:37:18  baggins
- removed temp url

Revision 1.395  2012/04/03 20:36:51  baggins
- 0.4.5.4
- removed svn patches

Revision 1.394  2012/03/21 15:53:21  arekm
- rel 9; mount /proc based on fstab first

Revision 1.393  2012/03/21 11:32:57  baggins
- rel 8
- spec cleanup
- removed duplicate file

Revision 1.392  2012/03/21 11:19:10  baggins
- rel 7
- install systemd rc-local.service as rc-local and mas out local.service

Revision 1.391  2012/03/16 18:40:45  baggins
- rel 6
- add sys-chroots compatibility service for systemd

Revision 1.390  2012/03/16 18:34:17  baggins
- rel 5
- clear lock on rc-local stop

Revision 1.389  2012/03/16 18:20:13  baggins
- rel 4
- fixed rc-local.service:
	- change name to properly cover rc-scripts SysV service
	- run proper script in execstart
	- require at least network and all filesystems

Revision 1.388  2012/03/04 20:50:37  arekm
- rel 3; systemd support for service

Revision 1.387  2012/02/19 22:16:29  baggins
- rel 2
- new and improved glib2 static linking hack

Revision 1.386  2012/02/19 18:29:37  baggins
- 0.4.5.3

Revision 1.385  2012/02/05 09:18:35  arekm
- rel 6; R: virtual(module-tools) instead of module-init-tools

Revision 1.384  2012/01/31 11:54:49  baggins
- release 5

Revision 1.383  2012/01/31 11:32:07  baggins
- added tmpfiles config for systemd

Revision 1.382  2012/01/25 09:55:00  cactus
- rel 4; add skip_networkmanager_users_config.patch

Revision 1.381  2011/12/16 08:48:11  arekm
- rel 3; lvm sysinit vs ignorelockingfailure fixes.

Revision 1.380  2011/12/14 17:17:47  glen
- fix nice calc for ksh

Revision 1.379  2011/12/14 11:35:58  glen
- up to 0.4.5.2

Revision 1.378  2011/12/04 18:45:46  arekm
- rel 7; R: virtual(init-daemon) instead of SysVinit

Revision 1.377  2011/12/04 14:37:56  wiget
- drop fstab-decode man page too
- rel. 6

Revision 1.376  2011/12/04 13:35:29  arekm
- rel 5; require latest filesystem package (4.0)

Revision 1.375  2011/12/04 02:51:17  wiget
- drop fstab-decode (now in SysVinit-tools)
- rel. 4

Revision 1.374  2011/11/29 17:43:05  arekm
- add rc-local.service

Revision 1.373  2011/11/29 17:38:27  arekm
- /var/run/netreport in /usr/lib/tmpfiles.d/rc-scripts.conf for systemd

Revision 1.372  2011/11/28 20:21:13  arekm
- rel 3; support /etc/mtab being symlink to /proc/self/mounts

Revision 1.371  2011/11/15 22:10:10  arekm
- rel 2; C lvm2 < 2.02.83 due to --sysinit usage

Revision 1.370  2011/09/27 08:23:47  arekm
- up to 0.4.5.1

Revision 1.369  2011/09/25 10:22:31  glen
- ppp-watch linking hack

Revision 1.368  2011/09/25 10:01:49  glen
- 0.4.5 release tarball

Revision 1.367  2011/09/11 20:12:25  glen
- update files

Revision 1.366  2011/09/02 06:25:01  glen
- md5

Revision 1.365  2011/08/31 16:27:00  glen
- move also functions to /lib/rc-scripts (symlink preserved)

Revision 1.364  2011/08/14 11:50:30  glen
- adjust for svn changes

Revision 1.363  2011/08/13 11:49:11  glen
- typo

Revision 1.362  2011/08/13 11:48:49  glen
- trac url

Revision 1.361  2011/06/16 12:52:34  jajcus
- Version: 0.4.4.3 (/etc/init/udev.conf included)

Revision 1.360  2011/06/15 13:15:15  jajcus
- Version: 0.4.4.2

Revision 1.359  2011/06/15 11:52:13  arekm
- rel 7; revert disabling v6 addresses (doesn't prevent AF_INET6 socket from being created)

Revision 1.358  2011/04/05 17:30:38  arekm
- rel 6; disabling ipv6 dropped

Revision 1.357  2011/03/29 18:13:59  baggins
- S: libcgroup for cgroup support

Revision 1.356  2011/03/23 21:46:24  arekm
- rel 5; really fix

Revision 1.355  2011/03/23 20:43:37  arekm
- rel 4; really disable

Revision 1.354  2011/03/23 20:39:04  arekm
- rel 3; disable ipv6 if it's not enabled in sysconfig/network

Revision 1.353  2011/03/21 23:15:52  baggins
- rel 2
- added static-routes6 feature from SVN

Revision 1.352  2011/03/21 20:18:20  baggins
- drop the fraking static-rules link, it adds nothing but confusion and it's
  not referenced anywhere

Revision 1.351  2011/03/20 01:08:59  baggins
- 0.4.4.1

Revision 1.350  2011/03/20 00:28:30  baggins
- drop svn patch

Revision 1.349  2011/03/20 00:27:36  baggins
- glib2 linking fixed upstream

Revision 1.348  2011/03/20 00:26:45  baggins
- 0.4.4.0

Revision 1.347  2011/03/10 08:19:59  arekm
- R: iputils-arping

Revision 1.346  2011/02/11 14:20:01  sparky
- static BR: glibc-static

Revision 1.345  2011/02/11 07:59:36  arekm
- rel 4; fix static linking with glib2

Revision 1.344  2011/02/11 07:31:34  arekm
- rel 3; net-tools no longer required - needed tools are in hostname.spec which is now required

Revision 1.343  2011/01/27 06:08:21  arekm
- rel 2; sysconfig/clock and it's action is gone (obsolete; hwclock can decide the same based on adjtime settings)

Revision 1.342  2011/01/25 18:59:50  arekm
- up to 0.4.3.8

Revision 1.341  2010/12/22 10:50:02  arekm
- rel 3; netfs vserver fix

Revision 1.340  2010/12/22 05:59:32  arekm
- rel 2; cgroup/cpuset can be commented out in fstab

Revision 1.339  2010/12/12 17:54:38  glen
- up to 0.4.3.7

Revision 1.338  2010/12/03 11:50:41  arekm
- up to 0.4.3.6

Revision 1.337  2010/12/02 15:43:23  arekm
- rel 3; fix errors about init crypt

Revision 1.336  2010/11/30 20:22:44  arekm
- rel 2; cgroup fixes and crypto change from svn

Revision 1.335  2010/11/06 10:50:11  arekm
- Updated to 0.4.3.5 (vserver netns support).

Revision 1.334  2010/11/06 08:47:27  arekm
- Update to 0.4.3.4.

Revision 1.333  2010/09/23 20:04:08  glen
- release 3

Revision 1.332  2010/09/23 20:03:45  glen
- disable upstart on ac

Revision 1.331  2010/06/18 06:35:59  cactus
- fix shutdown/restart on kernels with devtmpfs

Revision 1.330  2010/06/16 16:20:36  glen
- udev conflict was too heavy for ac

Revision 1.329  2010/06/15 11:39:33  jajcus
- Version: 0.4.3.3

Revision 1.328  2010/05/13 07:36:24  arekm
- rel 2; include firmware-loader.sh script

Revision 1.327  2010/05/11 17:25:55  jajcus
- Version: 0.4.3.2 (previous one was _very broken_)

Revision 1.326  2010/05/11 11:41:35  jajcus
- Version: 0.4.3.1

Revision 1.325  2010/05/10 14:41:01  jajcus
- Version: 0.4.3.1
- dropcaps.patch and start-stop-daemon-pid-check.patch applied upstream

Revision 1.324  2010/05/10 12:03:52  jajcus
- Version: 0.4.3.0 ('upstart_native' branch merged)

Revision 1.323  2010/04/07 07:06:33  glen
- up to 0.4.2.8

Revision 1.322  2010/03/09 01:11:44  zbyniu
- patch for check if pid was killed by start-stop-daemon; rel 3

Revision 1.321  2010/01/15 13:59:04  arekm
- rel 2; fix LINES/COLUMNS test when bash is sourcing this file

Revision 1.320  2010/01/10 22:09:43  arekm
- up to 0.4.2.7.

Revision 1.319  2010/01/10 18:57:21  glen
- epoch

Revision 1.318  2010/01/10 18:53:45  glen
- typo

Revision 1.317  2009/12/02 19:15:35  glen
- more reverting baggins buzybox branch changes regarding hwclock (report by kosmo); rel 4

Revision 1.316  2009/11/22 20:32:27  glen
- hwclock doesn't recognize -l (patch from devel-en)
- rel 3

Revision 1.315  2009/11/20 13:06:37  glen
- stat no longer accessed with full path

Revision 1.314  2009/11/20 13:05:16  glen
- add typo.patch

Revision 1.313  2009/11/20 12:48:20  glen
- libcap >= 2.18, llh >= 2.6.27 (at least) for dropcaps.patch

Revision 1.312  2009/11/20 12:36:21  glen
- up to 0.4.2.6

Revision 1.311  2009/11/19 13:32:03  glen
- rc.local is not executed, but sourced

Revision 1.310  2009/11/08 08:40:15  uzsolt
- fix typo in modules (patch2)

Revision 1.309  2009/09/09 12:15:10  tommat
- mention sparcv9

Revision 1.308  2009/09/03 10:12:36  arekm
- rel 2; fix mdadm handling for mdadm 3

Revision 1.307  2009/08/16 20:59:06  arekm
- up to 0.4.2.4 (fixed modprobe problems)

Revision 1.306  2009/07/16 18:09:18  arekm
- rel 3; update LINES

Revision 1.305  2009/07/16 17:09:09  arekm
- rel 2; fix COLUMNS/LINES on some terminals (like ipmi sol)

Revision 1.304  2009/07/01 04:40:05  glen
- 0.4.2.3

Revision 1.303  2009/05/22 18:35:44  arekm
- Up to 0.4.2.2.

Revision 1.302  2009/05/18 11:41:37  zbyniu
- BR: libcap-devel

Revision 1.301  2009/05/14 22:30:36  zbyniu
- dropcaps.patch added; rel 3
- add SERVICE_DROPCAPS="cap_sys_module,..." to /etc/sysconfig/<service> to activate
- use with caution - it drops caps from bound set!

Revision 1.300  2009/03/26 15:15:12  baggins
- rel 2
- fix addrlabel support

Revision 1.299  2009/03/23 16:10:53  baggins
- 0.4.2.1

Revision 1.298  2009/03/20 15:56:58  arekm
- R: ethtool so link state is discovered faster

Revision 1.297  2009/03/11 12:45:12  baggins
- up to 0.4.2.0

Revision 1.296  2009/03/09 18:14:12  baggins
- rel 2
- R /bin/stat (i.e. coreutils 7.1-2)

Revision 1.295  2009/02/20 09:09:07  arekm
- up to 0.4.1.27

Revision 1.294  2009/02/10 21:29:01  hawk
- udev > 124 is too unstable for Titanium

Revision 1.293  2009/02/04 20:28:06  blues
- rel.2 - makepid functionality to daemon function

Revision 1.292  2008/12/31 19:30:03  baggins
- 0.4.1.26

Revision 1.291  2008/12/31 19:03:22  baggins
- epoch in udev ver

Revision 1.290  2008/12/31 18:59:28  baggins
- preemptive strike: added commented out conflicts on dev/udev-core,
  needed for /dev/cpuset directory

Revision 1.289  2008/11/04 20:07:09  glen
- 0.4.1.25

Revision 1.288  2008/07/17 20:56:53  shadzik
- C: wpa_supplicant < 0.6.3

Revision 1.287  2008/07/17 20:51:19  shadzik
- 0.4.1.24

Revision 1.286  2008/06/27 09:40:04  hawk
- release 4

Revision 1.285  2008/06/25 08:06:30  patrys
- coreutils-su no longer needed
- rel unchanged, no rebuild this time

Revision 1.284  2008/06/25 07:24:22  patrys
- R: coreutils-su
- rel 3

Revision 1.283  2008-05-19 06:14:47  glen
- 0.4.1.23

Revision 1.282  2008-04-24 21:36:31  glen
- 0.4.1.22

Revision 1.281  2008-04-24 21:36:08  glen
- 0.4.1.22

Revision 1.280  2008-04-23 22:38:08  glen
- 0.4.1.21

Revision 1.279  2008-04-09 09:07:38  baggins
- 0.4.1.20

Revision 1.278  2008-03-27 16:30:58  patrys
- 0.4.1.19
- support upstart
- use autotools

Revision 1.277  2008-03-26 19:34:44  paszczus
- 0.4.1.18

Revision 1.276  2008-03-26 08:18:18  glen
- 0.4.1.17

Revision 1.275  2008-03-24 19:35:04  glen
- correct iputils epoch

Revision 1.274  2008-03-24 19:31:07  glen
- 0.4.1.16

Revision 1.273  2007-12-30 13:57:57  glen
- update to 0.4.1.15

Revision 1.272  2007-12-11 12:39:34  glen
- update to 0.4.1.14

Revision 1.271  2007-12-10 22:24:03  arekm
- rel 3; don't overwrite sh session locales

Revision 1.270  2007-11-26 17:52:41  glen
- merged 0.4.1.13 from AC-branch; rel 2

Revision 1.269  2007-11-06 19:16:19  glen
- md5

Revision 1.268  2007/11/06 18:57:22  glen
- 0.4.1.12

Revision 1.267  2007/11/02 02:31:59  glen
- 0.4.1.11

Revision 1.266  2007/11/01 13:37:10  qboosh
- fstab-decode enforces GPL v2 only

Revision 1.265  2007/11/01 13:27:35  glen
- 0.4.1.10

Revision 1.264  2007/09/26 12:51:16  glen
- 0.4.1.9

Revision 1.263  2007/09/25 11:43:38  glen
- update to 0.4.1.8

Revision 1.262  2007/09/05 14:24:17  baggins
- rel 2

Revision 1.261  2007/07/03 11:55:21  glen
- 0.4.1.7

Revision 1.260  2007/05/15 15:02:29  arvenil
- mv /sbin/fuser /bin/fuser (because KDE and users want it in PATH)

Revision 1.259  2007/05/01 01:18:43  baggins
- rel 1

Revision 1.258  2007/05/01 01:16:37  baggins
- 0.4.1.6

Revision 1.257  2007/04/27 23:34:28  qboosh
- added ppp-fixes patch

Revision 1.256  2007/04/26 16:58:22  baggins
- 0.4.1.5

Revision 1.255  2007/04/26 16:48:04  baggins
- replace R: fileutils,sh-utils,textutils with R: coreutils

Revision 1.254  2007/02/25 01:12:59  glen
- merged 0.4.1.4 from AC-branch

Revision 1.253  2007/02/25 01:11:17  glen
- adapter

Revision 1.252  2007/02/14 06:49:24  arekm
- rel 4

Revision 1.251  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.250  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.249  2007/02/06 19:53:55  arekm
- rel 3; localtime moved to tzdata

Revision 1.248  2007/02/03 23:51:02  arekm
- rel 2; package /etc/localtime

Revision 1.247  2007/01/11 14:39:05  glen
- update to 0.4.1.3

Revision 1.246  2006/12/05 17:10:49  arekm
- up to 0.4.1.2

Revision 1.245  2006/11/23 14:11:00  arekm
- R: blockdev

Revision 1.244  2006/10/27 18:20:15  qboosh
- updated dep for sysconfig,lock/subsys,... dirs (FHS -> filesystem); release 2

Revision 1.243  2006/10/13 11:11:45  baggins
- removed cpuset_correct patch, it is NOT correcting anything
  just breaking everything

Revision 1.242  2006/10/13 06:48:21  arekm
- up to 0.4.1.1 (beta1)

Revision 1.241  2006/10/09 08:02:26  wolvverine
- add patch to cpusets

Revision 1.240  2006/10/06 04:04:19  wolvverine
- add patch2 - sleep past set MAC

Revision 1.239  2006/09/26 23:50:31  glen
- merge msg cache spec changes from AC-branch

Revision 1.238  2006/09/24 09:34:59  arekm
- up to 0.4.1.0 (beta)

Revision 1.237  2006/09/17 14:37:44  glen
- %files sorting

Revision 1.236  2006/09/13 19:15:41  wolf
- removed fuse patch

Revision 1.235  2006/09/12 18:44:14  glen
- bug-5795.patch; rel 3

Revision 1.234  2006/08/23 18:45:01  havner
- /etc/sysconfig in filesystem.spec

Revision 1.233  2006/07/17 17:02:01  wolf
- load fuse module if needed
- rel 2

Revision 1.232  2006/07/14 10:06:46  charles
- added -exclude_rm_cups.patch (don't remove /var/run/cups/certs)

Revision 1.231  2006/06/01 20:24:59  blues
- added link static-rules -> static-routes. In routes can be rules also.

Revision 1.230  2006/05/08 11:56:40  glen
- rel 1

Revision 1.229  2006/05/07 17:38:37  arekm
- up to 0.4.0.27

Revision 1.228  2006/05/07 17:17:50  arekm
- add hwprofiles dir

Revision 1.227  2006/04/13 16:20:39  twittner
- mark /etc/sysconfig/interfaces/{down,up}.d/ppp/logger
  as config - they are intended for customization

Revision 1.226  2006/03/24 21:53:09  glen
- add shutdown speedup and am patches

Revision 1.225  2006/03/18 14:22:05  grzegorz
- added patch3 with small corect of chat-ppp0 for plusgsm example

Revision 1.224  2006/03/11 17:47:31  adgor
- Added ifup-ppp.patch
- Release 3, STBR

Revision 1.223  2006/03/10 10:42:46  blues
- release 2 - devalias patch is back

Revision 1.222  2006/03/10 09:32:29  blues
- devalias should be applied after branch patch

Revision 1.221  2006/03/09 19:46:10  glen
- up to 0.4.0.26
- add network service fix patch

Revision 1.220  2006/02/14 00:34:23  baggins
- release 3
- added cpuset virtualization

Revision 1.219  2006/01/20 18:47:45  baggins
- typo

Revision 1.218  2006/01/20 18:47:09  baggins
- release 2
- don't let getkey hangout entire startup process
- don't filter_chroot() in vserver

Revision 1.217  2006/01/18 08:26:26  arekm
- up to 0.4.0.25 (con_serial_sparc dropped, see devel ML; typos/chown patches dropped - fixed upstream).

Revision 1.216  2006/01/15 07:47:08  ankry
- use current chown syntax, rel. 3

Revision 1.215  2006/01/09 17:26:46  arekm
- rel 2; typos fixed

Revision 1.214  2006/01/08 22:07:43  arekm
- always use ftp1

Revision 1.213  2006/01/08 22:04:45  arekm
- up to 0.4.0.24

Revision 1.212  2006/01/04 19:03:25  havner
- nice patch, but unfortunately it is flooding the screen, you'd have to
  have syslog before network up
- rel 3

Revision 1.211  2005/12/21 12:11:52  blues
- release 2 - added dhcpcd_logging.patch

Revision 1.210  2005/12/15 19:07:10  arekm
- up to 0.4.0.23

Revision 1.209  2005/12/04 23:17:15  glen
- adapterized (sorted %verify flags)

Revision 1.208  2005/11/22 19:07:22  baggins
- obsoletes vserver-rc-scripts now

Revision 1.207  2005/11/22 19:02:36  baggins
- updated to 0.4.0.22
- removed obsolete mactab-emptycheck patch

Revision 1.206  2005/11/22 18:42:10  baggins
- release 3
- added patch needed for non-legacy vserver detection

Revision 1.205  2005/11/10 21:49:57  havner
- locale patch
- rel 2

Revision 1.204  2005/10/30 20:12:35  arekm
- up to 0.4.0.21

Revision 1.203  2005/10/16 01:27:16  glen
- init.d/network: ignore non-empty but commented /etc/mactab

Revision 1.202  2005/10/04 14:56:42  glen
- make /etc/init.d symlink relative (useful when browsing files inside chroot)
- add sysvinitfiles to %doc

Revision 1.201  2005/09/19 21:34:53  pluto
- release 4 for rebuild without my buggy patch.

Revision 1.200  2005/09/19 10:09:15  pluto
- reverted.

Revision 1.199  2005/09/18 23:27:07  pluto
- launch unicode_start for utf8 locales .

Revision 1.198  2005/08/25 06:14:53  arekm
- rel 2; fix cpuset parts

Revision 1.197  2005/08/23 17:55:17  baggins
- release 1

Revision 1.196  2005/08/23 17:39:58  baggins
- updated to 0.4.0.20
- release 0.1

Revision 1.195  2005/07/07 16:42:20  glen
- also start/stop sys-chroot service by default

Revision 1.194  2005/07/07 16:36:38  glen
- fix network service not finding any interfaces under et_EE locale
- rel 3, STBR

Revision 1.193  2005/06/27 09:31:47  blues
- added plusgsm_example patch - fixed to make it working...

Revision 1.192  2005/06/15 18:33:39  misi3k
- typo

Revision 1.191  2005/06/15 18:03:03  misi3k
- rel 2
- added patch for console on ttyS0 on sparc, sparc64

Revision 1.190  2005/05/30 19:00:59  arekm
- up to 0.4.0.19

Revision 1.189  2005/05/24 15:30:25  glen
- patch to understand BOOTPROTO=static properly

Revision 1.188  2005/05/09 18:21:07  qboosh
- sorted verify() flags

Revision 1.187  2005/05/03 22:20:02  adamg
- added BOOTPRIO.patch (fixes generation of interfaces_boot list when
  using BOOTPRIO feature)
- release 2

Revision 1.186  2005/04/30 20:56:27  arekm
- rel 1

Revision 1.185  2005/04/01 18:24:30  darekr
- define _bindir/_sbindir to /bin, /sbin

Revision 1.184  2005/03/29 18:36:07  blues
- updated dev_alias patch, removed stupid TODO and reversed dev_alias bcond

Revision 1.183  2005/03/25 19:22:31  arekm
- up to 0.4.0.18 (but devalias patch not updated!)

Revision 1.182  2005/02/23 14:53:02  tommat
- added functions patch fixing displaing dots in show() finction
- rel 4, STBR

Revision 1.181  2005/02/17 20:07:46  wolf
- cut changelog

Revision 1.180  2005/02/17 19:03:45  adamg
- Requires: psmisc (fuser in rc.shutdown)

Revision 1.179  2005/01/06 22:04:42  havner
- rel 3 for fixed modules patch

Revision 1.178  2005/01/05 09:03:09  havner
- modules patch
- rel 2

Revision 1.177  2004/12/10 23:17:58  adamg
- updated to 0.4.0.16
- dropped svn patch (already applied)
- release 1

Revision 1.176  2004/10/26 15:24:49  wolf
- s/e2fsprogs/fsck/
